> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List connections per fabric

> List all connections and their details from a specific fabric



## OpenAPI

````yaml get /api/orchestration/fabric/{fabricId}/connection
openapi: 3.0.3
info:
  title: Prophecy Connections API
  description: API for managing Prophecy connections
  version: 1.0.0
servers: []
security: []
paths:
  /api/orchestration/fabric/{fabricId}/connection:
    parameters:
      - name: fabricId
        in: path
        description: The unique ID of the parent fabric
        required: true
        schema:
          type: string
    get:
      tags:
        - Connections
      summary: List connections per fabric
      description: List all connections and their details from a specific fabric
      operationId: listConnectionsByFabric
      parameters:
        - $ref: '#/components/parameters/X-AUTH-TOKEN'
      responses:
        '200':
          description: A list of all connections in a fabric
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates whether the request was successful.
                  data:
                    type: object
                    properties:
                      Connections:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Unique identifier for the connection.
                            name:
                              type: string
                              description: The unique name of the connection.
                            kind:
                              type: string
                              description: The type of connection.
                            isDefaultWarehouseConnection:
                              type: boolean
                              description: >-
                                Whether this connection is the default warehouse
                                connection.
                            properties:
                              type: object
                              description: Connection configuration properties.
              example:
                success: true
                data:
                  Connections:
                    - id: <connection-id-1>
                      name: bigquery_connection_1
                      kind: bigquery
                      isDefaultWarehouseConnection: true
                      properties:
                        authType: private_key
                        dataset: dev
                        id: ''
                        projectId: dev-project-2222
                        serviceAccountKey:
                          kind: prophecy
                          properties:
                            id: '1234'
                            name: bq_service_account_1
                          subKind: text
                          type: secret
                    - id: <connection-id-2>
                      name: sharepoint_connection_1
                      kind: sharepoint
                      isDefaultWarehouseConnection: false
                      properties:
                        clientId: <client-id>
                        clientSecret:
                          kind: prophecy
                          properties:
                            id: '4670'
                            name: client-secret-sharepoint
                          subKind: text
                          type: secret
                        siteUrl: https://<site>.sharepoint.com/sites/site
                        tenantId: <tenant-id>
components:
  parameters:
    X-AUTH-TOKEN:
      name: X-AUTH-TOKEN
      in: header
      description: Prophecy authentication token. Required for all API requests.
      required: true
      schema:
        type: string

````